Skip to content
POST /daemon-job

Request Body

args_schemaRecord<string, any>

See args_schema on the daemon job.

args_validationstring

See args_validation on the daemon job.

environment_idstring · uuid

Ignored for API tokens.

labelstring
Example: Nightly export

Response Body

args_schemaRecord<string, any>

Describes the args a run of this job takes, keyed by arg name. An arg whose value has format: integrated_account_id must be the ID of an integrated account in the job's environment, and required: true makes it mandatory. Other entries are stored but not checked.

Example: {"integrated_account_id":{"format":"integrated_account_id","required":true}}
args_validationstring

A JSONata expression evaluated against { args } when a run or a cron trigger is created. Return an object with a message to reject the args with a 400 carrying that message.

Example: $not(args.since) ? { "message": "since is required" }
created_atstring · date-time
environment_idstring · uuid

The environment the daemon job belongs to.

idstring · uuid

The ID of the daemon job.

Example: 8c1d4c1e-9a0b-4b0e-a3f5-4cfa0d1f2e10
labelstring

A name for the daemon job.

Example: Nightly export
updated_atstring · date-time
curl -X POST 'https://api.truto.one/daemon-job' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "label": "Nightly export",
  "args_schema": {},
  "args_validation": "your_args_validation",
  "environment_id": "your_environment_id"
}'
const body = {
  "label": "Nightly export",
  "args_schema": {},
  "args_validation": "your_args_validation",
  "environment_id": "your_environment_id"
};

const response = await fetch('https://api.truto.one/daemon-job', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/daemon-job"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "label": "Nightly export",
    "args_schema": {},
    "args_validation": "your_args_validation",
    "environment_id": "your_environment_id"
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())